# Update an Audience Vendor

Update an audience vendor by ID

Endpoint: POST /audience_vendors/{audience_vendor_id}
Version: 3.0.1807
Security: Auth0

## Path parameters:

  - `audience_vendor_id` (integer, required)
    Numeric ID of the audience vendor to update

## Request fields (application/json):

  - `name` (string)

  - `namespace_code` (string)

  - `bidder_code` (string)

  - `vendor_id` (integer)
    Example: 24

  - `campaign_brain_enabled` (boolean)

  - `provides_batch_segments` (boolean)

  - `mma_free_cm` (boolean)

  - `pin_top_search` (boolean)

  - `provider_tax` (string)

## Response 200 fields (application/json):

  - `data` (object)

  - `data.id` (integer)
    Example: 123

  - `data.name` (string)
    Example: Updated Vendor Name

  - `data.namespace_code` (string)
    Example: new_namespace

  - `data.bidder_code` (string)
    Example: new_bidder

  - `data.vendor_id` (integer)
    Example: 456

  - `data.campaign_brain_enabled` (boolean)
    Example: false

  - `data.provides_batch_segments` (boolean)
    Example: true

  - `data.mma_free_cm` (boolean)
    Example: false

  - `data.pin_top_search` (boolean)
    Example: false

  - `data.provider_tax` (string)
    Example: new_tax

  - `meta` (object)

  - `meta.status` (string)
    Example: success

